LibreOffice: FeatureStateEvent Struct Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
FeatureStateEvent Struct Referencepublished

This event is broadcast by a Controller whenever the state of the feature changes. More...

`import"FeatureStateEvent.idl";`

Inheritance diagram for FeatureStateEvent:

## Public Attributes
com::sun::star::util::URL | FeatureURL
| contains the URL of the feature. More...
string | FeatureDescriptor
| contains a descriptor of the feature for the user interface. More...
boolean | IsEnabled
| specifies whether the feature is currently enabled or disabled. More...
boolean | Requery
| specifies whether the XDispatch has to be requeried. More...
any | State
| contains the state of the feature in this dispatch. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

This event is broadcast by a Controller whenever the state of the feature changes.

See also
  XController
  XStatusListener

## Member Data Documentation

string FeatureDescriptor

contains a descriptor of the feature for the user interface.

com::sun::star::util::URL FeatureURL

contains the URL of the feature.

boolean IsEnabled

specifies whether the feature is currently enabled or disabled.

boolean Requery

specifies whether the XDispatch has to be requeried.

Interest code should listen for FrameActionEvent too, to update own feature states and dispatch listener on FrameAction::CONTEXT_CHANGED.

any State

contains the state of the feature in this dispatch.

This can be, for example, simply `TRUE` for a boolean feature like underline on/off. Some simple types like `string` or `boolean` are useful here for generic UI elements, like a checkmark in a menu.

The documentation for this struct was generated from the following file:

- com/sun/star/frame/FeatureStateEvent.idl